import { TiniElement } from 'tinijs';
export declare class IconWindowDockComponent extends TiniElement {
    static readonly defaultTagName = "icon-window-dock";
    static readonly componentName = "icon";
    static styles: any;
    scale?: string;
    scheme?: string;
    willUpdate(): void;
    protected render(): any;
}
